package com.luca.pilot.entity;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.data.mongodb.core.mapping.Document;

import java.math.BigDecimal;

/**
 * @author linfeng.yang
 * @date 2021/8/03 下午14:40
 */

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@Document(collection="scale_question")
public class ScaleQuestionEntity extends AbstractAuditingEntity {


    private Long id;
    private String code;
    private String scaleCode;
    private String content;
    private Integer sortNumber;
    private Long scaleId;
    private String type;
    private BigDecimal score;
    private String title;

}
