package com.luca.pilot.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

/**
 * @author linfeng.yang
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@Document(collection="user_archive_mapping")
public class UserArchiveMapping extends AbstractAuditingEntity {
    private Long id;
    private String projectCode;

    private Long siteId;

    private Long uaaUserId;

    private String patientCode;

    private String userArchiveId;

}
